/*

Juice Bar
Philippe Le Fevre
The Big Banana Juice Bar
November 2006

*/

/*********************************/
// HIDING AND SHOWING PREFERENCES
/*********************************/


// Global variables for the info and done buttons; keeping these around lets us modify them later
var glassDoneButton;
var whiteInfoButton;
var gDonateButton;

// setup() is the onload handler for the widget. It calls constructors for the AppleInfoButton
// and AppleGlassButton classes that populate existing divs with their respective controls

function setup()
{
	//onshow ();
	glassDoneButton = new AppleGlassButton(document.getElementById("doneButton"), "Done", hidePrefs);
	whiteInfoButton = new AppleInfoButton(document.getElementById("infoButton"), document.getElementById("front"), "black", "black", showPrefs);
	gDonateButton = new AppleGlassButton(document.getElementById("donateButton"), "Donate £2", gotoDonationPage);
}


// showPrefs() is called when the preferences flipper is clicked upon.  It freezes the front of the widget,
// hides the front div, unhides the back div, and then flips the widget over.

function showPrefs()
{
	var front = document.getElementById("front");
	var back = document.getElementById("back");
	
	if (window.widget)
		widget.prepareForTransition("ToBack");		// freezes the widget so that you can change it without the user noticing
	
	front.style.display="none";		// hide the front
	back.style.display="block";		// show the back
	
	if (window.widget)
		setTimeout ('widget.performTransition();', 0);		// and flip the widget over	

}


// hidePrefs() is called by the done button on the back side of the widget.  It performs the opposite transition
// as showPrefs() does.

function hidePrefs()
{
	var front = document.getElementById("front");
	var back = document.getElementById("back");
	
	if (window.widget)
		widget.prepareForTransition("ToFront");		// freezes the widget and prepares it for the flip back to the front
	
	back.style.display="none";			// hide the back
	front.style.display="block";		// show the front
	
	if (window.widget)
		setTimeout ('widget.performTransition();', 0);		// and flip the widget back to the front
}

// mail link
function mailLink(event)
{
	if (window.widget)
	{
			widget.openURL ("http://www.thebigbananajuicebar.co.uk?i=email");
	} else document.location = "www.thebigbananajuicebar.co.uk?i=email";
}

// donate link
function gotoDonationPage() {
	widget.openURL("https://www.paypal.com/cgi-bin/webscr?cmd=_xclick&business=philippe%40thebigbananajuicebar%2eco%2euk&item_name=Juice%20Bar%20-%20Thank%20you&amount=2%2e00&no_shipping=2&no_note=1&tax=0&currency_code=GBP&lc=GB&bn=PP%2dDonationsBF&charset=UTF%2d8");
}

function gotoUpdatePage() {
	widget.openURL("http://www.thebigbananajuicebar.co.uk/widget/latest/juice-bar.zip");
}

